import { jsx } from "react/jsx-runtime";
import { TokenLPOOL as TokenLPOOL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenLPOOL = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "LPOOL", "data-name": "TokenLPOOL", ...props, children: /* @__PURE__ */ jsx(TokenLPOOL$1, { variant }) });
  }
);
TokenLPOOL.displayName = "TokenLPOOL";
Object.assign(TokenLPOOL, { isGdsIcon: true });
export {
  TokenLPOOL
};
